﻿///////////////////////////////////////////////////////////////////////////////////////////////
//Code samples are presented "as is". 
//No guarantee is made as to the accuracy or application to any specific solution is made. 
//Use at your own risk. 
//
//Code samples may be used in code as long as credit is given to the original author. 
//Contents may not be reproduced or published in any other manner what so ever without 
//written permission from Idioma Software Inc.
//
//
//Determining the prod/dev connection string during run-time
//
//Jon Vote - 2008
//
//Idioma Software Inc. 
//www.idioma-software.com
//www.skycoder.com 
//jon@idioma-software.com 
//
//541-488-1972 (USA)
//////////////////////////////////////////////////////////////
// Determining the prod/dev connection string during run-time
//////////////////////////////////////////////////////////////
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Configuration;
using MySql.Data.MySqlClient; 

/// <summary>
/// DataServices 
/// </summary>
public class DataServices
{
    /// <summary>
    /// Constructor
    /// </summary>
	public DataServices()
	{
	}

    /// <summary>
    /// CreateConnection - Retuns a database connection
    /// </summary>
    /// <returns></returns>
    public static MySql.Data.MySqlClient.MySqlConnection CreateConnection()
    {
        return (new MySqlConnection(DataServices.ConnectionString));
    }

    /// <summary>
    /// DevMachine - Returns the Development Machine Name 
    /// </summary>
    public static string DevMachine
    {
        get
        {
            return (ConfigurationSettings.AppSettings["DevMachine"]);
        }
    }

    /// <summary>
    /// ConnectionString - Returns the ConnectionString based on the MachineName
    /// </summary>
    public static string ConnectionString
    {
        get
        {
            if (HttpContext.Current.Server.MachineName 
                    == DataServices.DevMachine)
                return (
                    ConfigurationManager.ConnectionStrings["DevServer"].ToString());
            else
                return (
                    ConfigurationManager.ConnectionStrings["ProdServer"].ToString());
        }
    }
}